<?php

namespace EventPortal\Concerns;

trait AddToFillable
{
    /** @var array<string> */
    private static $configurableFillable = [];

    public function getFillable(): array
    {
        return array_merge(parent::getFillable(), self::$configurableFillable);
    }

    public static function addToFillable(array $fillable): void
    {
        self::$configurableFillable = array_merge(self::$configurableFillable, $fillable);
    }
}
