<?php

namespace EventPortal\Domain\Table\DataObjects;

use EventPortal\Domain\Component\Component;

class Column
{
    /** @var string */
    public $label;

    /** @var string */
    public $key;

    /** @var mixed */
    public $type;

    public function __construct(Component $component)
    {
        $this->label = $component->label;
        $this->key = $component->name;
        $this->type = $component->component;
    }
}
